pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 12.3.0" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_gnatbind" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#a5372b52#;
   pragma Export (C, u00001, "gnatbindB");
   u00002 : constant Version_32 := 16#d6787f71#;
   pragma Export (C, u00002, "gnatbindS");
   u00003 : constant Version_32 := 16#7320ff5f#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#708b39be#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#bbd501b3#;
   pragma Export (C, u00005, "ada__exceptionsB");
   u00006 : constant Version_32 := 16#3e9d152a#;
   pragma Export (C, u00006, "ada__exceptionsS");
   u00007 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00007, "adaS");
   u00008 : constant Version_32 := 16#0740df23#;
   pragma Export (C, u00008, "ada__exceptions__last_chance_handlerB");
   u00009 : constant Version_32 := 16#6dc27684#;
   pragma Export (C, u00009, "ada__exceptions__last_chance_handlerS");
   u00010 : constant Version_32 := 16#62859e27#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#fd5f5f4c#;
   pragma Export (C, u00011, "system__soft_linksB");
   u00012 : constant Version_32 := 16#2a57e333#;
   pragma Export (C, u00012, "system__soft_linksS");
   u00013 : constant Version_32 := 16#e12f1eb0#;
   pragma Export (C, u00013, "system__secondary_stackB");
   u00014 : constant Version_32 := 16#b952b777#;
   pragma Export (C, u00014, "system__secondary_stackS");
   u00015 : constant Version_32 := 16#821dff88#;
   pragma Export (C, u00015, "system__parametersB");
   u00016 : constant Version_32 := 16#b6113a81#;
   pragma Export (C, u00016, "system__parametersS");
   u00017 : constant Version_32 := 16#ec4fa52d#;
   pragma Export (C, u00017, "system__storage_elementsB");
   u00018 : constant Version_32 := 16#0f0b81d3#;
   pragma Export (C, u00018, "system__storage_elementsS");
   u00019 : constant Version_32 := 16#37c92568#;
   pragma Export (C, u00019, "system__soft_links__initializeB");
   u00020 : constant Version_32 := 16#2ed17187#;
   pragma Export (C, u00020, "system__soft_links__initializeS");
   u00021 : constant Version_32 := 16#8599b27b#;
   pragma Export (C, u00021, "system__stack_checkingB");
   u00022 : constant Version_32 := 16#048a402d#;
   pragma Export (C, u00022, "system__stack_checkingS");
   u00023 : constant Version_32 := 16#c71e6c8a#;
   pragma Export (C, u00023, "system__exception_tableB");
   u00024 : constant Version_32 := 16#efaee83e#;
   pragma Export (C, u00024, "system__exception_tableS");
   u00025 : constant Version_32 := 16#50202115#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00026, "system__exceptions__machineB");
   u00027 : constant Version_32 := 16#8bdfdbe3#;
   pragma Export (C, u00027, "system__exceptions__machineS");
   u00028 : constant Version_32 := 16#7706238d#;
   pragma Export (C, u00028, "system__exceptions_debugB");
   u00029 : constant Version_32 := 16#528bc674#;
   pragma Export (C, u00029, "system__exceptions_debugS");
   u00030 : constant Version_32 := 16#d20ced6c#;
   pragma Export (C, u00030, "system__img_intS");
   u00031 : constant Version_32 := 16#5c7d9c20#;
   pragma Export (C, u00031, "system__tracebackB");
   u00032 : constant Version_32 := 16#e41f6a9a#;
   pragma Export (C, u00032, "system__tracebackS");
   u00033 : constant Version_32 := 16#5f6b6486#;
   pragma Export (C, u00033, "system__traceback_entriesB");
   u00034 : constant Version_32 := 16#aa9921ab#;
   pragma Export (C, u00034, "system__traceback_entriesS");
   u00035 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00035, "system__traceback__symbolicB");
   u00036 : constant Version_32 := 16#d9e66ad1#;
   pragma Export (C, u00036, "system__traceback__symbolicS");
   u00037 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00037, "ada__exceptions__tracebackB");
   u00038 : constant Version_32 := 16#eb07882c#;
   pragma Export (C, u00038, "ada__exceptions__tracebackS");
   u00039 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00039, "system__address_imageB");
   u00040 : constant Version_32 := 16#c369031d#;
   pragma Export (C, u00040, "system__address_imageS");
   u00041 : constant Version_32 := 16#fd158a37#;
   pragma Export (C, u00041, "system__wch_conB");
   u00042 : constant Version_32 := 16#bb86bd44#;
   pragma Export (C, u00042, "system__wch_conS");
   u00043 : constant Version_32 := 16#5c289972#;
   pragma Export (C, u00043, "system__wch_stwB");
   u00044 : constant Version_32 := 16#96979145#;
   pragma Export (C, u00044, "system__wch_stwS");
   u00045 : constant Version_32 := 16#eec86cd6#;
   pragma Export (C, u00045, "system__wch_cnvB");
   u00046 : constant Version_32 := 16#bd467734#;
   pragma Export (C, u00046, "system__wch_cnvS");
   u00047 : constant Version_32 := 16#030fa8f2#;
   pragma Export (C, u00047, "interfacesS");
   u00048 : constant Version_32 := 16#e538de43#;
   pragma Export (C, u00048, "system__wch_jisB");
   u00049 : constant Version_32 := 16#08f1151e#;
   pragma Export (C, u00049, "system__wch_jisS");
   u00050 : constant Version_32 := 16#76d68a13#;
   pragma Export (C, u00050, "aliB");
   u00051 : constant Version_32 := 16#6ad7fe05#;
   pragma Export (C, u00051, "aliS");
   u00052 : constant Version_32 := 16#bbb81e88#;
   pragma Export (C, u00052, "butilB");
   u00053 : constant Version_32 := 16#6da91032#;
   pragma Export (C, u00053, "butilS");
   u00054 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00054, "gnatS");
   u00055 : constant Version_32 := 16#00ff69c3#;
   pragma Export (C, u00055, "optB");
   u00056 : constant Version_32 := 16#a6237968#;
   pragma Export (C, u00056, "optS");
   u00057 : constant Version_32 := 16#f7706eca#;
   pragma Export (C, u00057, "hostparmS");
   u00058 : constant Version_32 := 16#4aa988d0#;
   pragma Export (C, u00058, "system__concat_2B");
   u00059 : constant Version_32 := 16#5fc39b25#;
   pragma Export (C, u00059, "system__concat_2S");
   u00060 : constant Version_32 := 16#189db50b#;
   pragma Export (C, u00060, "typesB");
   u00061 : constant Version_32 := 16#16b8f51f#;
   pragma Export (C, u00061, "typesS");
   u00062 : constant Version_32 := 16#190570e0#;
   pragma Export (C, u00062, "system__compare_array_unsigned_8B");
   u00063 : constant Version_32 := 16#f2630044#;
   pragma Export (C, u00063, "system__compare_array_unsigned_8S");
   u00064 : constant Version_32 := 16#74e358eb#;
   pragma Export (C, u00064, "system__address_operationsB");
   u00065 : constant Version_32 := 16#1cb1b287#;
   pragma Export (C, u00065, "system__address_operationsS");
   u00066 : constant Version_32 := 16#98afe17e#;
   pragma Export (C, u00066, "system__unsigned_typesS");
   u00067 : constant Version_32 := 16#256dbbe5#;
   pragma Export (C, u00067, "system__stringsB");
   u00068 : constant Version_32 := 16#f9079e3f#;
   pragma Export (C, u00068, "system__stringsS");
   u00069 : constant Version_32 := 16#cf449528#;
   pragma Export (C, u00069, "outputB");
   u00070 : constant Version_32 := 16#13934282#;
   pragma Export (C, u00070, "outputS");
   u00071 : constant Version_32 := 16#3d77d417#;
   pragma Export (C, u00071, "system__os_libB");
   u00072 : constant Version_32 := 16#98e94e78#;
   pragma Export (C, u00072, "system__os_libS");
   u00073 : constant Version_32 := 16#b98923bf#;
   pragma Export (C, u00073, "system__case_utilB");
   u00074 : constant Version_32 := 16#ad964972#;
   pragma Export (C, u00074, "system__case_utilS");
   u00075 : constant Version_32 := 16#3c17a879#;
   pragma Export (C, u00075, "system__crtlS");
   u00076 : constant Version_32 := 16#38bfd4ee#;
   pragma Export (C, u00076, "nametB");
   u00077 : constant Version_32 := 16#d301c7df#;
   pragma Export (C, u00077, "nametS");
   u00078 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00078, "debugB");
   u00079 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00079, "debugS");
   u00080 : constant Version_32 := 16#ad209b2b#;
   pragma Export (C, u00080, "widecharB");
   u00081 : constant Version_32 := 16#30ee4853#;
   pragma Export (C, u00081, "widecharS");
   u00082 : constant Version_32 := 16#1b78961f#;
   pragma Export (C, u00082, "allocS");
   u00083 : constant Version_32 := 16#6afbd08c#;
   pragma Export (C, u00083, "tableB");
   u00084 : constant Version_32 := 16#35415d23#;
   pragma Export (C, u00084, "tableS");
   u00085 : constant Version_32 := 16#1982dcd0#;
   pragma Export (C, u00085, "system__memoryB");
   u00086 : constant Version_32 := 16#3901acf7#;
   pragma Export (C, u00086, "system__memoryS");
   u00087 : constant Version_32 := 16#9b950d9a#;
   pragma Export (C, u00087, "fnameB");
   u00088 : constant Version_32 := 16#6ef24056#;
   pragma Export (C, u00088, "fnameS");
   u00089 : constant Version_32 := 16#2af1acd3#;
   pragma Export (C, u00089, "gnat__dynamic_htablesB");
   u00090 : constant Version_32 := 16#2317962f#;
   pragma Export (C, u00090, "gnat__dynamic_htablesS");
   u00091 : constant Version_32 := 16#463dd2e3#;
   pragma Export (C, u00091, "osintB");
   u00092 : constant Version_32 := 16#c7db6101#;
   pragma Export (C, u00092, "osintS");
   u00093 : constant Version_32 := 16#9c8a5300#;
   pragma Export (C, u00093, "fmapB");
   u00094 : constant Version_32 := 16#bafa9de5#;
   pragma Export (C, u00094, "fmapS");
   u00095 : constant Version_32 := 16#9f9cc922#;
   pragma Export (C, u00095, "gnat__htableB");
   u00096 : constant Version_32 := 16#4a45b320#;
   pragma Export (C, u00096, "gnat__htableS");
   u00097 : constant Version_32 := 16#3548d972#;
   pragma Export (C, u00097, "system__htableB");
   u00098 : constant Version_32 := 16#e35cc6cc#;
   pragma Export (C, u00098, "system__htableS");
   u00099 : constant Version_32 := 16#1f1abe38#;
   pragma Export (C, u00099, "system__string_hashB");
   u00100 : constant Version_32 := 16#441946b3#;
   pragma Export (C, u00100, "system__string_hashS");
   u00101 : constant Version_32 := 16#236a2bf2#;
   pragma Export (C, u00101, "gnatvsnB");
   u00102 : constant Version_32 := 16#7a1a9de8#;
   pragma Export (C, u00102, "gnatvsnS");
   u00103 : constant Version_32 := 16#8a568199#;
   pragma Export (C, u00103, "sdefaultB");
   u00104 : constant Version_32 := 16#e7342cbf#;
   pragma Export (C, u00104, "sdefaultS");
   u00105 : constant Version_32 := 16#2742cc21#;
   pragma Export (C, u00105, "targparmB");
   u00106 : constant Version_32 := 16#1a496f66#;
   pragma Export (C, u00106, "targparmS");
   u00107 : constant Version_32 := 16#0bd143f7#;
   pragma Export (C, u00107, "csetsB");
   u00108 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00108, "csetsS");
   u00109 : constant Version_32 := 16#01a386d2#;
   pragma Export (C, u00109, "ridentS");
   u00110 : constant Version_32 := 16#02c0247b#;
   pragma Export (C, u00110, "snamesB");
   u00111 : constant Version_32 := 16#f1619a9e#;
   pragma Export (C, u00111, "snamesS");
   u00112 : constant Version_32 := 16#ae718566#;
   pragma Export (C, u00112, "casingB");
   u00113 : constant Version_32 := 16#91da49f0#;
   pragma Export (C, u00113, "casingS");
   u00114 : constant Version_32 := 16#52069e7b#;
   pragma Export (C, u00114, "ali__utilB");
   u00115 : constant Version_32 := 16#bdca8d6b#;
   pragma Export (C, u00115, "ali__utilS");
   u00116 : constant Version_32 := 16#dd73be11#;
   pragma Export (C, u00116, "atreeB");
   u00117 : constant Version_32 := 16#4fdd69fd#;
   pragma Export (C, u00117, "atreeS");
   u00118 : constant Version_32 := 16#deec3435#;
   pragma Export (C, u00118, "aspectsB");
   u00119 : constant Version_32 := 16#2fc9ee8d#;
   pragma Export (C, u00119, "aspectsS");
   u00120 : constant Version_32 := 16#53288b91#;
   pragma Export (C, u00120, "einfoS");
   u00121 : constant Version_32 := 16#a26c7204#;
   pragma Export (C, u00121, "standS");
   u00122 : constant Version_32 := 16#aa17daf3#;
   pragma Export (C, u00122, "uintpB");
   u00123 : constant Version_32 := 16#48f94ec7#;
   pragma Export (C, u00123, "uintpS");
   u00124 : constant Version_32 := 16#919f306d#;
   pragma Export (C, u00124, "urealpB");
   u00125 : constant Version_32 := 16#da4c5dcf#;
   pragma Export (C, u00125, "urealpS");
   u00126 : constant Version_32 := 16#9cf74bc5#;
   pragma Export (C, u00126, "einfo__entitiesB");
   u00127 : constant Version_32 := 16#9dfaa4a3#;
   pragma Export (C, u00127, "einfo__entitiesS");
   u00128 : constant Version_32 := 16#590f0a31#;
   pragma Export (C, u00128, "einfo__utilsB");
   u00129 : constant Version_32 := 16#091a0123#;
   pragma Export (C, u00129, "einfo__utilsS");
   u00130 : constant Version_32 := 16#f5b8535a#;
   pragma Export (C, u00130, "elistsB");
   u00131 : constant Version_32 := 16#52c05d34#;
   pragma Export (C, u00131, "elistsS");
   u00132 : constant Version_32 := 16#b74a6f42#;
   pragma Export (C, u00132, "nlistsB");
   u00133 : constant Version_32 := 16#c0081ad2#;
   pragma Export (C, u00133, "nlistsS");
   u00134 : constant Version_32 := 16#6d75157a#;
   pragma Export (C, u00134, "sinfoS");
   u00135 : constant Version_32 := 16#e90e120d#;
   pragma Export (C, u00135, "sinfo__nodesB");
   u00136 : constant Version_32 := 16#d40a9e11#;
   pragma Export (C, u00136, "sinfo__nodesS");
   u00137 : constant Version_32 := 16#036f43d2#;
   pragma Export (C, u00137, "sinfo__utilsB");
   u00138 : constant Version_32 := 16#efd374e8#;
   pragma Export (C, u00138, "sinfo__utilsS");
   u00139 : constant Version_32 := 16#71b47432#;
   pragma Export (C, u00139, "seinfoS");
   u00140 : constant Version_32 := 16#5d932284#;
   pragma Export (C, u00140, "sinputB");
   u00141 : constant Version_32 := 16#4593a628#;
   pragma Export (C, u00141, "sinputS");
   u00142 : constant Version_32 := 16#641bd22f#;
   pragma Export (C, u00142, "gnat__byte_order_markB");
   u00143 : constant Version_32 := 16#0475df31#;
   pragma Export (C, u00143, "gnat__byte_order_markS");
   u00144 : constant Version_32 := 16#2b6cf208#;
   pragma Export (C, u00144, "scansB");
   u00145 : constant Version_32 := 16#4bc89415#;
   pragma Export (C, u00145, "scansS");
   u00146 : constant Version_32 := 16#53ed8461#;
   pragma Export (C, u00146, "binderrB");
   u00147 : constant Version_32 := 16#67d1ab6e#;
   pragma Export (C, u00147, "binderrS");
   u00148 : constant Version_32 := 16#4d48fae8#;
   pragma Export (C, u00148, "err_varsS");
   u00149 : constant Version_32 := 16#f8ee36d2#;
   pragma Export (C, u00149, "erroutB");
   u00150 : constant Version_32 := 16#14198208#;
   pragma Export (C, u00150, "erroutS");
   u00151 : constant Version_32 := 16#f730dd6d#;
   pragma Export (C, u00151, "erroutcB");
   u00152 : constant Version_32 := 16#c990e4e6#;
   pragma Export (C, u00152, "erroutcS");
   u00153 : constant Version_32 := 16#5dea09c9#;
   pragma Export (C, u00153, "stringtB");
   u00154 : constant Version_32 := 16#4b75cc8c#;
   pragma Export (C, u00154, "stringtS");
   u00155 : constant Version_32 := 16#32bf13dc#;
   pragma Export (C, u00155, "libB");
   u00156 : constant Version_32 := 16#29086982#;
   pragma Export (C, u00156, "libS");
   u00157 : constant Version_32 := 16#55d0e7a8#;
   pragma Export (C, u00157, "unameB");
   u00158 : constant Version_32 := 16#1b7eba59#;
   pragma Export (C, u00158, "unameS");
   u00159 : constant Version_32 := 16#d52b12bc#;
   pragma Export (C, u00159, "sem_auxB");
   u00160 : constant Version_32 := 16#545cd06d#;
   pragma Export (C, u00160, "sem_auxS");
   u00161 : constant Version_32 := 16#d7687928#;
   pragma Export (C, u00161, "styleswB");
   u00162 : constant Version_32 := 16#fc046d4e#;
   pragma Export (C, u00162, "styleswS");
   u00163 : constant Version_32 := 16#d7516a56#;
   pragma Export (C, u00163, "scngB");
   u00164 : constant Version_32 := 16#1fafa4ba#;
   pragma Export (C, u00164, "scngS");
   u00165 : constant Version_32 := 16#1e6e5cd0#;
   pragma Export (C, u00165, "system__crc32B");
   u00166 : constant Version_32 := 16#45428560#;
   pragma Export (C, u00166, "system__crc32S");
   u00167 : constant Version_32 := 16#1f3e80d3#;
   pragma Export (C, u00167, "system__utf_32B");
   u00168 : constant Version_32 := 16#e6e44f98#;
   pragma Export (C, u00168, "system__utf_32S");
   u00169 : constant Version_32 := 16#8e08ae44#;
   pragma Export (C, u00169, "stylegB");
   u00170 : constant Version_32 := 16#e7bf9c88#;
   pragma Export (C, u00170, "stylegS");
   u00171 : constant Version_32 := 16#9942af81#;
   pragma Export (C, u00171, "sinput__cB");
   u00172 : constant Version_32 := 16#feb16495#;
   pragma Export (C, u00172, "sinput__cS");
   u00173 : constant Version_32 := 16#7442cdf9#;
   pragma Export (C, u00173, "bcheckB");
   u00174 : constant Version_32 := 16#881dacd4#;
   pragma Export (C, u00174, "bcheckS");
   u00175 : constant Version_32 := 16#b5b2d139#;
   pragma Export (C, u00175, "bindgenB");
   u00176 : constant Version_32 := 16#8bb8d2f2#;
   pragma Export (C, u00176, "bindgenS");
   u00177 : constant Version_32 := 16#89e8bac3#;
   pragma Export (C, u00177, "gnat__heap_sort_aB");
   u00178 : constant Version_32 := 16#a0f346d1#;
   pragma Export (C, u00178, "gnat__heap_sort_aS");
   u00179 : constant Version_32 := 16#14ef8b4d#;
   pragma Export (C, u00179, "osint__bB");
   u00180 : constant Version_32 := 16#cc9435e0#;
   pragma Export (C, u00180, "osint__bS");
   u00181 : constant Version_32 := 16#1c4dea1b#;
   pragma Export (C, u00181, "bindoB");
   u00182 : constant Version_32 := 16#7ff7f040#;
   pragma Export (C, u00182, "bindoS");
   u00183 : constant Version_32 := 16#f5b0657d#;
   pragma Export (C, u00183, "bindeB");
   u00184 : constant Version_32 := 16#2ea5c4e4#;
   pragma Export (C, u00184, "bindeS");
   u00185 : constant Version_32 := 16#9ead3c1c#;
   pragma Export (C, u00185, "bindo__elaboratorsB");
   u00186 : constant Version_32 := 16#ba15b383#;
   pragma Export (C, u00186, "bindo__elaboratorsS");
   u00187 : constant Version_32 := 16#419b7d49#;
   pragma Export (C, u00187, "bindo__augmentorsB");
   u00188 : constant Version_32 := 16#4de1d230#;
   pragma Export (C, u00188, "bindo__augmentorsS");
   u00189 : constant Version_32 := 16#860fb75d#;
   pragma Export (C, u00189, "bindo__writersB");
   u00190 : constant Version_32 := 16#3cd7f5e5#;
   pragma Export (C, u00190, "bindo__writersS");
   u00191 : constant Version_32 := 16#0426d861#;
   pragma Export (C, u00191, "bindo__unitsB");
   u00192 : constant Version_32 := 16#02f95f8c#;
   pragma Export (C, u00192, "bindo__unitsS");
   u00193 : constant Version_32 := 16#6ffde2e6#;
   pragma Export (C, u00193, "gnat__setsB");
   u00194 : constant Version_32 := 16#f203e24e#;
   pragma Export (C, u00194, "gnat__setsS");
   u00195 : constant Version_32 := 16#18033725#;
   pragma Export (C, u00195, "gnat__graphsB");
   u00196 : constant Version_32 := 16#cb5490cc#;
   pragma Export (C, u00196, "gnat__graphsS");
   u00197 : constant Version_32 := 16#40b0a077#;
   pragma Export (C, u00197, "gnat__listsB");
   u00198 : constant Version_32 := 16#4d95c121#;
   pragma Export (C, u00198, "gnat__listsS");
   u00199 : constant Version_32 := 16#51bd4a32#;
   pragma Export (C, u00199, "bindo__graphsB");
   u00200 : constant Version_32 := 16#61c58183#;
   pragma Export (C, u00200, "bindo__graphsS");
   u00201 : constant Version_32 := 16#0d3360c2#;
   pragma Export (C, u00201, "bindo__buildersB");
   u00202 : constant Version_32 := 16#1ff68edf#;
   pragma Export (C, u00202, "bindo__buildersS");
   u00203 : constant Version_32 := 16#acd49f9d#;
   pragma Export (C, u00203, "bindo__validatorsB");
   u00204 : constant Version_32 := 16#500a8d28#;
   pragma Export (C, u00204, "bindo__validatorsS");
   u00205 : constant Version_32 := 16#d8545229#;
   pragma Export (C, u00205, "bindo__diagnosticsB");
   u00206 : constant Version_32 := 16#0693eff6#;
   pragma Export (C, u00206, "bindo__diagnosticsS");
   u00207 : constant Version_32 := 16#83f77ce8#;
   pragma Export (C, u00207, "bindusgB");
   u00208 : constant Version_32 := 16#12f067e3#;
   pragma Export (C, u00208, "bindusgS");
   u00209 : constant Version_32 := 16#52ebc05d#;
   pragma Export (C, u00209, "switchB");
   u00210 : constant Version_32 := 16#5f2dec8a#;
   pragma Export (C, u00210, "switchS");
   u00211 : constant Version_32 := 16#3b3d0982#;
   pragma Export (C, u00211, "switch__bB");
   u00212 : constant Version_32 := 16#2c145cac#;
   pragma Export (C, u00212, "switch__bS");
   u00213 : constant Version_32 := 16#4282cd51#;
   pragma Export (C, u00213, "system__response_fileB");
   u00214 : constant Version_32 := 16#dc02831e#;
   pragma Export (C, u00214, "system__response_fileS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.img_int%s
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.crc32%s
   --  system.crc32%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  gnat%s
   --  gnat.heap_sort_a%s
   --  gnat.heap_sort_a%b
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  gnat.lists%s
   --  gnat.lists%b
   --  gnat.sets%s
   --  gnat.sets%b
   --  gnat.graphs%s
   --  gnat.graphs%b
   --  system.response_file%s
   --  system.response_file%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  opt%s
   --  opt%b
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  seinfo%s
   --  stand%s
   --  stylesw%s
   --  stylesw%b
   --  table%s
   --  table%b
   --  elists%s
   --  elists%b
   --  uintp%s
   --  uintp%b
   --  urealp%s
   --  urealp%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  butil%s
   --  butil%b
   --  binderr%s
   --  binderr%b
   --  casing%s
   --  casing%b
   --  err_vars%s
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  fname%s
   --  fname%b
   --  osint.b%s
   --  osint.b%b
   --  sinfo%s
   --  snames%s
   --  snames%b
   --  ali%s
   --  ali%b
   --  binde%s
   --  binde%b
   --  bindgen%s
   --  bindgen%b
   --  bindo%s
   --  bindo.units%s
   --  bindo.graphs%s
   --  bindo.augmentors%s
   --  bindo.builders%s
   --  bindo.diagnostics%s
   --  bindo.elaborators%s
   --  bindo%b
   --  bindo.validators%s
   --  bindo.writers%s
   --  bindo.writers%b
   --  bindo.augmentors%b
   --  bindo.builders%b
   --  bindo.diagnostics%b
   --  bindo.elaborators%b
   --  bindo.graphs%b
   --  bindo.units%b
   --  bindo.validators%b
   --  einfo%s
   --  scans%s
   --  scans%b
   --  aspects%s
   --  nlists%s
   --  sinfo.nodes%s
   --  einfo.entities%s
   --  einfo.utils%s
   --  atree%s
   --  einfo.entities%b
   --  nlists%b
   --  sinfo.utils%s
   --  aspects%b
   --  atree%b
   --  einfo.utils%b
   --  sinfo.nodes%b
   --  sinput%s
   --  sinput%b
   --  sinfo.utils%b
   --  sem_aux%s
   --  sem_aux%b
   --  sinput.c%s
   --  sinput.c%b
   --  stringt%s
   --  stringt%b
   --  erroutc%s
   --  erroutc%b
   --  lib%s
   --  uname%s
   --  uname%b
   --  lib%b
   --  errout%s
   --  errout%b
   --  styleg%s
   --  styleg%b
   --  scng%s
   --  scng%b
   --  ali.util%s
   --  ali.util%b
   --  bcheck%s
   --  bcheck%b
   --  switch%s
   --  switch%b
   --  bindusg%s
   --  bindusg%b
   --  switch.b%s
   --  switch.b%b
   --  gnatbind%s
   --  gnatbind%b
   --  END ELABORATION ORDER

end ada_main;
